#
# spec file for package python-jschema-to-python
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-jschema-to-python
Version:        1.2.3
Release:        3.1
Summary:        Generate source code for Python classes from a JSON schema
License:        MIT
URL:            https://github.com/microsoft/jschema-to-python
Source:         https://files.pythonhosted.org/packages/source/j/jschema-to-python/jschema_to_python-%{version}.tar.gz
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module attrs}
BuildRequires:  %{python_module jsonpickle}
BuildRequires:  %{python_module pbr}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-attrs
Requires:       python-jsonpickle
Requires:       python-pbr
BuildArch:      noarch
%python_subpackages

%description
Generate source code for Python classes from a JSON schema.

%prep
%setup -q -n jschema_to_python-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest tests/

%files %{python_files}
%{python_sitelib}/jschema_to_python
%{python_sitelib}/jschema_to_python-%{version}.dist-info

%changelog
* Tue Jul 15 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Limit Python files matched in %%files section
- Switch build system from setuptools to pyproject.toml
  * Add python-pip and python-wheel to BuildRequires
  * Replace %%python_build with %%pyproject_wheel
  * Replace %%python_install with %%pyproject_install
* Tue Jun 13 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Thu May 26 2022 pgajdos@suse.com
- initial version 1.2.3, required by python-cfn-lint
